Package com.macrofocus.high_d.scatterplotmatrix

# Class AbstractScatterPlotMatrixModel<Color,O,C>

java.lang.Object
com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixModel<Color,O,C>

All Implemented Interfaces:
  `ScatterPlotMatrixModel<Color,O,C>`

Direct Known Subclasses:
  `DefaultScatterPlotMatrixModel`

public abstract class AbstractScatterPlotMatrixModel<Color,O,C> extends Object implements ScatterPlotMatrixModel<Color,O,C>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractScatterPlotMatrixModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addScatterPlotMatrixListener(ScatterPlotMatrixListener listener)`
  Add a listener for receiving interesting events about changes in the model.
  `protected void`
  `firedScatterPlotMatrixChanged()`
  `void`
  `removeScatterPlotMatrixListener(ScatterPlotMatrixListener listener)`
  Remove a listener from the list of listeners that should be notified about changes in the model.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.high_d.scatterplotmatrix.ScatterPlotMatrixModel

  `getAxisCount, getAxisGroupModel, getAxisModel, getColoring, getColorMapping, getFilter, getLocation, getObject, getObjectCount, getProbing, getSelection, getVisual, setLocation`

- ## Constructor Details

  - ### AbstractScatterPlotMatrixModel

    public AbstractScatterPlotMatrixModel()

- ## Method Details

  - ### addScatterPlotMatrixListener

    public void addScatterPlotMatrixListener(ScatterPlotMatrixListener listener)
    Add a listener for receiving interesting events about changes in the model.
    Specified by:
      `addScatterPlotMatrixListener` in interface `ScatterPlotMatrixModel<Color,O,C>`
    Parameters:
      `listener` - the listener to add.

  - ### removeScatterPlotMatrixListener

    public void removeScatterPlotMatrixListener(ScatterPlotMatrixListener listener)
    Remove a listener from the list of listeners that should be notified about changes in the model.
    Specified by:
      `removeScatterPlotMatrixListener` in interface `ScatterPlotMatrixModel<Color,O,C>`
    Parameters:
      `listener` - the listener to remove.

  - ### firedScatterPlotMatrixChanged

    protected void firedScatterPlotMatrixChanged()